permconv.h File Reference

Conversions between various permutation classes. More...

`#include "regina-core.h"`
`#include "maths/nperm3.h"`
`#include "maths/nperm4.h"`
`#include "maths/nperm5.h"`

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Functions

REGINA_API NPerm5 | regina::perm4to5 (const NPerm4 &p)
| Converts the given 4-element permutation to a 5-element permutation. More...
REGINA_API NPerm4 | regina::perm5to4 (const NPerm5 &p)
| Expresses the given 5-element permutation as a 4-element permutation. More...
REGINA_API NPerm4 | regina::perm3to4 (const NPerm3 &p)
| Converts the given 3-element permutation to a 4-element permutation. More...
REGINA_API NPerm3 | regina::perm4to3 (const NPerm4 &p)
| Expresses the given 4-element permutation as a 3-element permutation. More...
REGINA_API NPerm5 | regina::perm3to5 (const NPerm3 &p)
| Converts the given 3-element permutation to a 5-element permutation. More...
REGINA_API NPerm3 | regina::perm5to3 (const NPerm5 &p)
| Expresses the given 5-element permutation as a 3-element permutation. More...

## Detailed Description

Conversions between various permutation classes.

Copyright © 1999-2014, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).